#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x2b021433, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x0bfd565b, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x748ceb18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x227cc71b, "rtnl_link_register" },
	{ 0x87ef23e3, "genl_register_family" },
	{ 0x591f3259, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x64e4f8ef, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x26d35f27, "crypto_alloc_aead" },
	{ 0xb5b01ac8, "crypto_aead_setkey" },
	{ 0xe5fe08ee, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9be2d21d, "skb_pull" },
	{ 0x673d5732, "___pskb_trim" },
	{ 0xa44e00b, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x194d9604, "dev_mc_sync" },
	{ 0xa4f4b904, "dev_uc_sync" },
	{ 0xe77cd4d6, "dev_set_allmulti" },
	{ 0x23bf6d34, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6888d498, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbbbfb32f, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x24dd94a1, "skb_clone" },
	{ 0x692add13, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb0e48213, "register_netdevice" },
	{ 0x900d45, "netdev_upper_dev_link" },
	{ 0x5969ae2c, "netdev_upper_dev_unlink" },
	{ 0xe5616211, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe0d4ebfb, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2577146b, "netif_stacked_transfer_operstate" },
	{ 0x7883190d, "linkwatch_fire_event" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x184ddc49, "netdev_rx_handler_register" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa5c69211, "skb_copy_expand" },
	{ 0xb217ed6, "consume_skb" },
	{ 0x737ae7dc, "skb_push" },
	{ 0xcb3452d4, "skb_put" },
	{ 0xe27967f3, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6e031a77, "skb_to_sgvec" },
	{ 0xa6ffb22e, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6fd6f457, "sk_skb_reason_drop" },
	{ 0x67b2446f, "skb_copy" },
	{ 0x3f18475e, "skb_trim" },
	{ 0x425fdb6a, "dst_release" },
	{ 0xf8d90a3, "__dev_queue_xmit" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x83e3cc87, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xec239511, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa23ed383, "netdev_rx_handler_unregister" },
	{ 0x8bd77b84, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfd4468b6, "netif_carrier_off" },
	{ 0xfb9291e7, "dev_mc_unsync" },
	{ 0x50431107, "dev_uc_unsync" },
	{ 0xa1f433e, "dev_uc_del" },
	{ 0x41e21af5, "dev_uc_add" },
	{ 0x3bba575, "netif_carrier_on" },
	{ 0xb7237a12, "eth_type_trans" },
	{ 0x266e9c21, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x89d35277, "genlmsg_put" },
	{ 0xe719984c, "__pskb_pull_tail" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
