#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06ee554, "phy_drivers_register" },
	{ 0x100706b6, "mdiobus_read" },
	{ 0x69590afb, "phy_trigger_machine" },
	{ 0x1f533424, "phy_error" },
	{ 0x7b566e3e, "bcm54xx_auxctl_read" },
	{ 0xa0af051c, "bcm54xx_auxctl_write" },
	{ 0xda0c30a5, "bcm_phy_read_shadow" },
	{ 0xff1a0a53, "bcm_phy_write_shadow" },
	{ 0xd71a8764, "phy_modify" },
	{ 0x71471a0f, "genphy_c37_config_aneg" },
	{ 0xf4215199, "__genphy_config_aneg" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0xeac9d0f4, "bcm_phy_get_wol" },
	{ 0x4458a47e, "bcm_phy_set_wol" },
	{ 0x73d01877, "bcm_phy_get_stats" },
	{ 0x38a894ea, "phy_drivers_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f578b9b, "mdiobus_write" },
	{ 0xd42ae1c1, "bcm_config_lre_aneg" },
	{ 0xa92aaf74, "of_find_property" },
	{ 0x62420318, "bcm_phy_write_exp" },
	{ 0x4bb15e9b, "bcm_phy_read_exp" },
	{ 0xe4522dfb, "genphy_c37_read_status" },
	{ 0xc323ac94, "genphy_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe70b03a1, "bcm_phy_get_sset_count" },
	{ 0x54aa72f2, "bcm_ptp_probe" },
	{ 0x9adef36b, "devm_gpiod_get" },
	{ 0xe9474850, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x828b8c6d, "devm_request_threaded_irq" },
	{ 0x2f7509b6, "device_set_wakeup_capable" },
	{ 0xce7326cd, "device_wakeup_enable" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x6f89bf9c, "bcm_ptp_config_init" },
	{ 0x911c9cf, "pm_wakeup_dev_event" },
	{ 0xb690416c, "genphy_resume" },
	{ 0x26261c84, "genphy_soft_reset" },
	{ 0x688e82ad, "phy_resolve_aneg_linkmode" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x29b5e9ae, "genphy_read_abilities" },
	{ 0x39dfd1ef, "bcm_phy_config_intr" },
	{ 0x8523e960, "bcm_phy_handle_interrupt" },
	{ 0xab554531, "bcm_phy_get_strings" },
	{ 0x90bdb091, "bcm_phy_led_brightness_set" },
	{ 0x49f00724, "genphy_suspend" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "396EFF9154C30096E313E3D");
MODULE_INFO(rhelversion, "9.7");
