#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x5f9f570d, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x682ea7a8, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x7780bbf7, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x3ae7a56b, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x5ac1662b, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x88ee8784, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xf7b1697f, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x2b26fc2e, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x793fc9cc, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x9f4eac3a, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x23f9652d, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x8cdb2f77, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x50ea68f8, "_gpl");
SYMBOL_CRC(usbnet_open, 0x4aa53114, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x3c3e05bb, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xfd4ce8a3, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x2d86f410, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xa0f24c45, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xae25fd0b, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x2aff6fcb, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x35bbaa68, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x3a44f701, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xb32f0086, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x233d98cf, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xcfbcf466, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x8a453680, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x5d8b839f, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xaf8e8430, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x6a141492, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x373ce45a, "");
SYMBOL_CRC(usbnet_manage_power, 0x6856c5bb, "");
SYMBOL_CRC(usbnet_link_change, 0xd3b8c243, "");
SYMBOL_CRC(usbnet_read_cmd, 0x5188c27f, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x5b74ad5b, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xea6d7397, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x8a974c7e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x6de32ee4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef795f61, "usb_set_interface" },
	{ 0xee4ca0b1, "usb_string" },
	{ 0x2bf1b88b, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbb39d2d6, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x42b45afd, "skb_queue_purge_reason" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x20779db0, "usb_get_urb" },
	{ 0x751043f8, "usb_unlink_urb" },
	{ 0x8781e4f0, "usb_free_urb" },
	{ 0xbe19ad09, "usb_submit_urb" },
	{ 0x110e61f6, "netdev_err" },
	{ 0x2730fd66, "mii_ethtool_get_link_ksettings" },
	{ 0x8d457518, "mii_ethtool_set_link_ksettings" },
	{ 0xf794fa4, "mii_nway_restart" },
	{ 0x4ef763bb, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xfd61792b, "unregister_netdev" },
	{ 0x8abb1532, "usb_scuttle_anchored_urbs" },
	{ 0xb1704cde, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x80155a46, "free_netdev" },
	{ 0xbabdef30, "netdev_info" },
	{ 0x3bba575, "netif_carrier_on" },
	{ 0xfd4468b6, "netif_carrier_off" },
	{ 0xbff9dcdc, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf824cb37, "usb_autopm_get_interface" },
	{ 0xc9ebfea, "usb_autopm_put_interface" },
	{ 0x440098fe, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xae203e22, "mii_link_ok" },
	{ 0x86d6b24d, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc0165cd4, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc3e86d53, "remove_wait_queue" },
	{ 0x72da9cd2, "netif_device_detach" },
	{ 0xd6fcf5b1, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x1d961d55, "skb_defer_rx_timestamp" },
	{ 0xcd3516e3, "netif_rx" },
	{ 0xb7237a12, "eth_type_trans" },
	{ 0xd6305bae, "skb_queue_tail" },
	{ 0xd6e9c7ab, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe9cdc11e, "__init_waitqueue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xe98d181e, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xbf23646b, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd67c885c, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x704faf81, "skb_clone_tx_timestamp" },
	{ 0x2c075fb7, "usb_autopm_get_interface_async" },
	{ 0x23b74acd, "dev_kfree_skb_any_reason" },
	{ 0x31049a32, "skb_tstamp_tx" },
	{ 0xc6229f86, "usb_anchor_urb" },
	{ 0x87f14ca7, "__netdev_alloc_skb" },
	{ 0xb217ed6, "consume_skb" },
	{ 0x939823cd, "netif_tx_wake_queue" },
	{ 0xcfc1e27a, "__wake_up" },
	{ 0x7996c06e, "usb_autopm_get_interface_no_resume" },
	{ 0x7b787c40, "usb_get_from_anchor" },
	{ 0xcb3452d4, "skb_put" },
	{ 0x3fb1f011, "usb_clear_halt" },
	{ 0x48a431a9, "eth_mac_addr" },
	{ 0x2ff49e60, "eth_validate_addr" },
	{ 0xe9ebed9f, "dev_get_tstats64" },
	{ 0x7f06af6f, "ethtool_op_get_ts_info" },
	{ 0xaff15db2, "param_ops_int" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "A12581BF32F5EC08990C3D3");
MODULE_INFO(rhelversion, "9.7");
