#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x661daf16, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x462e6ab1, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x5ea38dd2, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x885db6be, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x2d4ef7e5, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x850995e0, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x1e37c5da, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xbb1d6234, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x87561ffc, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x665122d6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xb5a37d4d, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x614f5f41, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x223e8a53, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x6428735f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xeea4d8e6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x6d7ea232, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xcad71dae, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x2fd818e1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x2c5b45fd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x27e7b94d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x03b590bf, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x9bdeb152, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x467ed25a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x571b860d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xbf043259, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xff082887, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x99986d25, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xe7e43944, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x46fd4c9a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x5f915ba9, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x1f9da6c1, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xde16b32f, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x7dc95cb5, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xc56bb3d8, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xd7262279, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x8ac411e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb827e054, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x71c9a80a, "vsock_insert_connected" },
	{ 0xcb3452d4, "skb_put" },
	{ 0xb217ed6, "consume_skb" },
	{ 0x44b2d4f9, "trace_raw_output_prep" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x1619b932, "vsock_remove_sock" },
	{ 0x722cba96, "trace_event_printf" },
	{ 0x51e4b4c0, "vsock_deliver_tap" },
	{ 0x81b2a83d, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0165cd4, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8a96dd0c, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x22b6039a, "sk_error_report" },
	{ 0xfcd07828, "trace_event_buffer_commit" },
	{ 0x9d3d23e6, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5aa763c3, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x6fad91aa, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xed3b930d, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6fd6f457, "sk_skb_reason_drop" },
	{ 0xd616129c, "sk_free" },
	{ 0xcabc5c9, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xa3e8466f, "__skb_recv_datagram" },
	{ 0x6a7b1466, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2656bf80, "vsock_stream_has_data" },
	{ 0xa89756b2, "skb_copy_datagram_iter" },
	{ 0xb2115d1d, "bpf_trace_run9" },
	{ 0xda2a182f, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x72ebf7f, "sock_efree" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xd521c6bb, "bpf_trace_run10" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x639039a2, "vsock_core_get_transport" },
	{ 0x8a834ab6, "__zerocopy_sg_from_iter" },
	{ 0x30cf2995, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3eee2d47, "skb_set_owner_w" },
	{ 0xd97644b8, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x367f6ad7, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc3e86d53, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x710ea5aa, "msg_zerocopy_realloc" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0xfa38f806, "vsock_create_connected" },
	{ 0xa5273c08, "vsock_assign_transport" },
	{ 0xec98a30d, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x28d66c7e, "iov_iter_npages" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x1d00b618, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42ed0998, "vsock_data_ready" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "47E1979DFA663EF75B54B38");
MODULE_INFO(rhelversion, "9.7");
