#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(caam_jr_alloc, "", "");
KSYMTAB_FUNC(caam_jr_free, "", "");
KSYMTAB_FUNC(caam_jr_enqueue, "", "");
KSYMTAB_FUNC(split_key_done, "", "");
KSYMTAB_FUNC(gen_split_key, "", "");

SYMBOL_CRC(caam_jr_alloc, 0x2575131f, "");
SYMBOL_CRC(caam_jr_free, 0x56146194, "");
SYMBOL_CRC(caam_jr_enqueue, 0x7540bf1f, "");
SYMBOL_CRC(split_key_done, 0x8a9d2958, "");
SYMBOL_CRC(gen_split_key, 0x45b5c531, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c5e2963, "crypto_skcipher_encrypt" },
	{ 0xb90b3578, "crypto_finalize_akcipher_request" },
	{ 0xbd67c092, "caam_imx" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb103c398, "devres_release_group" },
	{ 0x828b8c6d, "devm_request_threaded_irq" },
	{ 0x269e8fe0, "devres_close_group" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0x86bcdec7, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf35b3717, "__kfifo_dma_in_prepare" },
	{ 0xe26aa15d, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93bc9a03, "dmam_alloc_attrs" },
	{ 0x60dbc82a, "caam_dump_sg" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x7b7bcab8, "cnstr_shdsc_rfc4543_encap" },
	{ 0xb8a2b893, "dma_unmap_page_attrs" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x7b0c587f, "cnstr_shdsc_rfc4543_decap" },
	{ 0xaf7a661a, "devm_ioremap" },
	{ 0x4829a47e, "memcpy" },
	{ 0x193f9094, "crypto_register_aead" },
	{ 0xad45b25e, "crypto_unregister_aead" },
	{ 0x1814c44c, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xdced74af, "crypto_engine_exit" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa3115081, "cnstr_shdsc_skcipher_decap" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x9f61ea05, "crypto_skcipher_setkey" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x2bf1b88b, "__dynamic_dev_dbg" },
	{ 0xb5571dbf, "cnstr_shdsc_ahash" },
	{ 0x3532dc6f, "dev_driver_string" },
	{ 0x1625ac2a, "crypto_unregister_ahash" },
	{ 0x64e4f8ef, "crypto_destroy_tfm" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0x3361f951, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x71a7a4ec, "crypto_transfer_akcipher_request_to_engine" },
	{ 0x76a68e3e, "cnstr_shdsc_chachapoly" },
	{ 0x38bd4a82, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37734e06, "caam_dpaa2" },
	{ 0x4258c2bf, "crypto_skcipher_decrypt" },
	{ 0x6a8ed555, "_dev_info" },
	{ 0x91ac0969, "cnstr_shdsc_aead_encap" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfd807e48, "cnstr_shdsc_rfc4106_decap" },
	{ 0xee3c529e, "crypto_transfer_hash_request_to_engine" },
	{ 0xb1a41200, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3b54a9ad, "cnstr_shdsc_aead_decap" },
	{ 0xc0eaba3a, "crypto_register_skcipher" },
	{ 0xf65207fb, "_dev_err" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2e152bb7, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0xd4cd3183, "crypto_unregister_akcipher" },
	{ 0xa340e264, "cnstr_shdsc_aead_givencap" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x98e54d45, "platform_get_resource" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xc5cf8b2f, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xbd42a382, "sg_miter_stop" },
	{ 0xb4920a52, "crypto_engine_start" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf1732e3, "crypto_unregister_skcipher" },
	{ 0xf167613f, "devres_open_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb4548fa, "sg_miter_start" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xdcb764ad, "memset" },
	{ 0xc88be821, "_dev_warn" },
	{ 0x56ab5eea, "crypto_transfer_aead_request_to_engine" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9bf132bd, "__platform_driver_register" },
	{ 0x28db1363, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x227eb170, "crypto_finalize_aead_request" },
	{ 0xb7b939f0, "of_device_is_compatible" },
	{ 0xf92c5da5, "cnstr_shdsc_gcm_decap" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xdcd2612c, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88430d4c, "cnstr_shdsc_aead_null_encap" },
	{ 0x67006272, "caam_strstatus" },
	{ 0xf95bcf62, "cnstr_shdsc_gcm_encap" },
	{ 0xebcdd349, "cnstr_shdsc_skcipher_encap" },
	{ 0xa99d7fa6, "cnstr_shdsc_aead_null_decap" },
	{ 0x2210a874, "crypto_transfer_skcipher_request_to_engine" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd1ba6be1, "dma_set_mask" },
	{ 0xfdf7ec8f, "cnstr_shdsc_rfc4106_encap" },
	{ 0x4d5f1669, "dma_unmap_sg_attrs" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x87d817bc, "__devm_add_action" },
	{ 0x30a1e372, "cnstr_shdsc_sk_hash" },
	{ 0xb6371853, "irq_of_parse_and_map" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x5b12e4b2, "crypto_register_akcipher" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x727da82f, "devm_hwrng_register" },
	{ 0xc9ee5de4, "crypto_engine_alloc_init_and_set" },
	{ 0x5f47163, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x506b9d20, "crypto_alloc_skcipher" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "crypto_engine,error,caamalg_desc,caamhash_desc,caam,libdes");

MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ringC*");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ringC*");

MODULE_INFO(srcversion, "5D2E13B0ABBD0216904DAB4");
MODULE_INFO(rhelversion, "9.7");
