#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xc8d7f37f, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x01c63dbc, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x12c2d002, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xc59d91d7, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x85ff501d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fab5f93, "__do_once_done" },
	{ 0x4c48f8a6, "ip6_route_input_lookup" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xdc4b85fa, "dev_pre_changeaddr_notify" },
	{ 0x194d9604, "dev_mc_sync" },
	{ 0xa495b039, "ida_destroy" },
	{ 0x1ad82b8b, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xac41174b, "netdev_update_features" },
	{ 0xb217ed6, "consume_skb" },
	{ 0x5c2d783e, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xa4f4b904, "dev_uc_sync" },
	{ 0x227cc71b, "rtnl_link_register" },
	{ 0xad3c1588, "netif_inherit_tso_max" },
	{ 0xf91faf3, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x676a2ec, "ip_route_output_flow" },
	{ 0xe5616211, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x50431107, "dev_uc_unsync" },
	{ 0xa44e00b, "ether_setup" },
	{ 0x110e61f6, "netdev_err" },
	{ 0x900d45, "netdev_upper_dev_link" },
	{ 0x8720b3c3, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2969a59f, "eth_header_parse" },
	{ 0xa23ed383, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xde0d2493, "eth_header_cache_update" },
	{ 0x580d5477, "nf_register_net_hooks" },
	{ 0x4a99e13a, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4973e7d4, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbbbfb32f, "__dev_get_by_index" },
	{ 0x591f3259, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9be2d21d, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6fd6f457, "sk_skb_reason_drop" },
	{ 0x2577146b, "netif_stacked_transfer_operstate" },
	{ 0x5969ae2c, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x143ec08b, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x36a38d7c, "ns_capable" },
	{ 0x2fa67264, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x86d6b24d, "ethtool_op_get_link" },
	{ 0x484f49e3, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc8365401, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe719984c, "__pskb_pull_tail" },
	{ 0xcd3516e3, "netif_rx" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaf5698d, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xf8d90a3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe6f8f82, "vlan_vid_add" },
	{ 0xee708ad, "call_netdevice_notifiers" },
	{ 0xc31f8e53, "vlan_vid_del" },
	{ 0xe77cd4d6, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x24dd94a1, "skb_clone" },
	{ 0x425fdb6a, "dst_release" },
	{ 0x184ddc49, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb8bcee0b, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xfb9291e7, "dev_mc_unsync" },
	{ 0x45d55cae, "dev_change_flags" },
	{ 0xe276f281, "netdev_core_stats_inc" },
	{ 0x6841e094, "dev_forward_skb" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb0e48213, "register_netdevice" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "7A73F089E94612E3EDC21BC");
MODULE_INFO(rhelversion, "9.7");
