#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x1a611cec, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xe7328801, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x1225493a, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x0cbcfbf4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xa0148690, "__skb_checksum_complete" },
	{ 0xa715feca, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc21c652, "skb_copy_bits" },
	{ 0xe13e286e, "__nlmsg_put" },
	{ 0xb3d244a2, "netdev_adjacent_change_commit" },
	{ 0x48a431a9, "eth_mac_addr" },
	{ 0xcb3452d4, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x13a3a060, "ip6_dst_hoplimit" },
	{ 0xa22de743, "param_ops_ushort" },
	{ 0xb217ed6, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x9e4712a6, "udp_sock_create4" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xcf5ea4d9, "udp_tunnel6_xmit_skb" },
	{ 0x227cc71b, "rtnl_link_register" },
	{ 0xc1a4efd4, "__unregister_nexthop_notifier" },
	{ 0xad3c1588, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ff49e60, "eth_validate_addr" },
	{ 0x39ab8698, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x83e3cc87, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd0e99a8b, "rtnl_create_link" },
	{ 0xe5616211, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x52265c85, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa44e00b, "ether_setup" },
	{ 0xcd5dd8fa, "udp_tunnel_drop_rx_port" },
	{ 0x900d45, "netdev_upper_dev_link" },
	{ 0xeb752616, "pskb_expand_head" },
	{ 0x8720b3c3, "register_pernet_subsys" },
	{ 0xb7237a12, "eth_type_trans" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x6fad91aa, "__alloc_skb" },
	{ 0x7c829c28, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6a7be1ad, "eth_gro_complete" },
	{ 0x59d0820c, "rtnl_set_sk_err" },
	{ 0x6f95211c, "eth_gro_receive" },
	{ 0xd607c5a1, "rtnl_configure_link" },
	{ 0xea3001fd, "skb_tunnel_check_pmtu" },
	{ 0x2982c99d, "udp_tunnel_dst_lookup" },
	{ 0x8111fc2, "rtnl_unicast" },
	{ 0xd00a95cb, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7c5373aa, "__skb_get_hash_net" },
	{ 0x88e30451, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbbbfb32f, "__dev_get_by_index" },
	{ 0x591f3259, "rtnl_link_unregister" },
	{ 0x4db3a7fa, "ipv6_stub" },
	{ 0x9be2d21d, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x18a78b17, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6fd6f457, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4680a74e, "dev_get_by_index_rcu" },
	{ 0x266e9c21, "gro_cells_receive" },
	{ 0x737ae7dc, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x5969ae2c, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x80155a46, "free_netdev" },
	{ 0x1192baf1, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x1f9517d3, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6a7b1466, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x86d6b24d, "ethtool_op_get_link" },
	{ 0x69d9891e, "nexthop_find_by_id" },
	{ 0x674e579c, "arp_create" },
	{ 0x484f49e3, "__ethtool_get_link_ksettings" },
	{ 0xff418fa3, "netdev_adjacent_change_prepare" },
	{ 0x6c92d3af, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc8365401, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xf6abb451, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x64c6d178, "rht_bucket_nested_insert" },
	{ 0xf9e88a7, "netdev_adjacent_change_abort" },
	{ 0x45937cd5, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x314e21e7, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x78e60e1c, "__iptunnel_pull_header" },
	{ 0xe719984c, "__pskb_pull_tail" },
	{ 0xe9ebed9f, "dev_get_tstats64" },
	{ 0xcd3516e3, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x28d1356d, "rhashtable_destroy" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x3302629, "setup_udp_tunnel_sock" },
	{ 0x9588b72b, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3f18475e, "skb_trim" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbb39d2d6, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf5698d, "skb_scrub_packet" },
	{ 0xa85668f6, "nexthop_select_path" },
	{ 0x39747a5, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4fcb0b32, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcc883685, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4f7ff654, "param_ops_bool" },
	{ 0x7fa4d847, "udp_tun_rx_dst" },
	{ 0x43022572, "rtnl_notify" },
	{ 0x414e7307, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x692add13, "__netif_rx" },
	{ 0x24dd94a1, "skb_clone" },
	{ 0xe0d4ebfb, "metadata_dst_alloc" },
	{ 0x425fdb6a, "dst_release" },
	{ 0x2671593, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x27e5615e, "udp_tunnel_notify_del_rx_port" },
	{ 0x415e94d1, "register_nexthop_notifier" },
	{ 0xd033afe7, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x39007064, "gro_find_receive_by_type" },
	{ 0xe276f281, "netdev_core_stats_inc" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0xbabdef30, "netdev_info" },
	{ 0xc9e7a0dd, "neigh_lookup" },
	{ 0x1d00b618, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb0e48213, "register_netdevice" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "34DF4D76332F1111DCE8989");
MODULE_INFO(rhelversion, "9.7");
