#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xd0605114, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xd8b4c3e9, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xa05dd03f, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x4f4f7593, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x64014ed5, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xa3e92353, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x0353295e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x4d915089, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xd8e6d2ae, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xfb9f8316, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x3c77ee90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x8720b3c3, "register_pernet_subsys" },
	{ 0xe42dfe7a, "seq_printf" },
	{ 0x40236dc7, "seq_puts" },
	{ 0xc8365401, "unregister_pernet_subsys" },
	{ 0x580d5477, "nf_register_net_hooks" },
	{ 0x2fa67264, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4689e0a, "nf_ipv6_ops" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5c2d783e, "ip6_local_out" },
	{ 0x6fd6f457, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88fd0313, "skb_ensure_writable" },
	{ 0x93d5599, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x421bdf09, "ip_route_me_harder" },
	{ 0xb8bcee0b, "ip_local_out" },
	{ 0x6fad91aa, "__alloc_skb" },
	{ 0xcb3452d4, "skb_put" },
	{ 0xc21c652, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xe52d49c6, "nf_ct_tmpl_alloc" },
	{ 0x2de11656, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4090589d, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xfe997e12, "nf_ct_tmpl_free" },
	{ 0xbdb0fbc, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xae141767, "ipv6_skip_exthdr" },
	{ 0x68dff5ad, "nf_ct_seqadj_init" },
	{ 0xb217ed6, "consume_skb" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.7");
